Main Page Namespace List Class Hierarchy Alphabetical List Compound List File List Namespace Members Compound Members File Members Related Pages

# ACE_Hashable Class Reference

ACE_Hashable. More...

`#include <Hashable.h>`

Inheritance diagram for ACE_Hashable:

[legend]
List of all members.

## Public Methods
virtual | ~ACE_Hashable (void)
| Destructor.
virtual unsigned long | hash (void) const
## Protected Methods
| ACE_Hashable (void)
| Protected constructor.
virtual unsigned long | hash_i (void) const=0
## Protected Attributes
unsigned long | hash_value_
| Pre-computed hash-value.

## Detailed Description

ACE_Hashable.

## Constructor & Destructor Documentation

ACE_INLINE ACE_Hashable::~ACE_Hashable | ( | void |  | ) | `[virtual]`

| Destructor.

ACE_INLINE ACE_Hashable::ACE_Hashable | ( | void |  | ) | `[protected]`

| Protected constructor.

## Member Function Documentation

ACE_INLINE unsigned long ACE_Hashable::hash | ( | void |  | ) | const`[virtual]`

| Computes and returns hash value. This "caches" the hash value to improve performance.

virtual unsigned long ACE_Hashable::hash_i | ( | void |  | ) | const`[protected, pure virtual]`

| This is the method that actually performs the non-cached hash computation. Implemented in ACE_Refcounted_Hash_Recyclable< T >.

## Member Data Documentation

unsigned long ACE_Hashable::hash_value_`[protected]`

| Pre-computed hash-value.

The documentation for this class was generated from the following files:

- /export2/deucetmp/bala/release_try/ACE_wrappers/ace/Hashable.h
- /export2/deucetmp/bala/release_try/ACE_wrappers/ace/Hashable.inl